from buildbot.plugins import steps, util

factory = util.BuildFactory()
factory.addStep(steps.Git(repourl='https://git.blackfinn.de/tkl/test.c.git', mode='full'))
factory.addStep(steps.ShellCommand(command=['make', 'check', '-j8']))
factory.addStep(steps.Compile(command=['make', 'all', '-j8']))
factory.addStep(steps.ShellCommand(command=['make', 'build_unit_test', '-j8']))
factory.addStep(steps.ShellCommand(command=['make', 'exec_unit_test']))
factory.addStep(steps.ShellCommand(command='make clean && make coverage'))

builder = util.BuilderConfig(name='test.c', workernames=["buildbot-cpp-worker"],
                             factory=factory)

def append(builders):
    builders.append(builder)
    return builders

